#!/usr/bin/env node
'use strict';

const ezno_lib = require('./shared/ezno.9bd62596.cjs');
const node_fs = require('node:fs');

const wasmPath = new URL("./shared/ezno_lib_bg.wasm", (typeof document === 'undefined' ? require('u' + 'rl').pathToFileURL(__filename).href : (document.currentScript && document.currentScript.src || new URL('cli.cjs', document.baseURI).href)));
ezno_lib.initSync(node_fs.readFileSync(wasmPath));
const cli_arguments = typeof Deno !== "undefined" ? Deno.args : process.argv.slice(2);
ezno_lib.run_cli(cli_arguments, (path) => {
  return node_fs.readFileSync(path).toString();
}, (prompt_msg) => {
  if (typeof Deno !== "undefined") {
    return prompt(`${prompt_msg}>`);
  } else {
    console.error("Prompt not supported in NodeJS (sync issue)");
    throw new Error("Prompt not supported in NodeJS");
  }
});
